libabw::ABWOpenPageSpanElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWOpenPageSpanElement Class Reference
Inheritance diagram for libabw::ABWOpenPageSpanElement:

## Public Member Functions
| ABWOpenPageSpanElement (const librevenge::RVNGPropertyList &propList, int footer, int footerLeft, int footerFirst, int footerLast, int header, int headerLeft, int headerFirst, int headerLast)
| ~ABWOpenPageSpanElement () override
void | write (librevenge::RVNGTextInterface *iface, const OutputElementsMap_t *footers, const OutputElementsMap_t *headers) const override
Public Member Functions inherited from libabw::ABWOutputElement
| ABWOutputElement ()
virtual | ~ABWOutputElement ()
virtual void | write (librevenge::RVNGTextInterface *iface, const OutputElementsMap_t *footers, const OutputElementsMap_t *headers) const =0

## Private Member Functions
void | _writeElements (librevenge::RVNGTextInterface *iface, int id, const OutputElementsMap_t *elements) const

## Private Attributes
librevenge::RVNGPropertyList | m_propList
int | m_footer
int | m_footerLeft
int | m_footerFirst
int | m_footerLast
int | m_header
int | m_headerLeft
int | m_headerFirst
int | m_headerLast

## Constructor & Destructor Documentation

## ◆ ABWOpenPageSpanElement()

libabw::ABWOpenPageSpanElement::ABWOpenPageSpanElement | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | footer,
|  | int | footerLeft,
|  | int | footerFirst,
|  | int | footerLast,
|  | int | header,
|  | int | headerLeft,
|  | int | headerFirst,
|  | int | headerLast
| ) |  |
| inline

## ◆ ~ABWOpenPageSpanElement()

libabw::ABWOpenPageSpanElement::~ABWOpenPageSpanElement | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ _writeElements()

void libabw::ABWOpenPageSpanElement::_writeElements | ( | librevenge::RVNGTextInterface * | iface,
|  | int | id,
|  | const OutputElementsMap_t * | elements
| ) |  | const
| private

## ◆ write()

void libabw::ABWOpenPageSpanElement::write | ( | librevenge::RVNGTextInterface * | iface,
|  | const OutputElementsMap_t * | footers,
|  | const OutputElementsMap_t * | headers
| ) |  | const
| overridevirtual

Implements libabw::ABWOutputElement.

## Member Data Documentation

## ◆ m_footer

int libabw::ABWOpenPageSpanElement::m_footer
| private

## ◆ m_footerFirst

int libabw::ABWOpenPageSpanElement::m_footerFirst
| private

## ◆ m_footerLast

int libabw::ABWOpenPageSpanElement::m_footerLast
| private

## ◆ m_footerLeft

int libabw::ABWOpenPageSpanElement::m_footerLeft
| private

## ◆ m_header

int libabw::ABWOpenPageSpanElement::m_header
| private

## ◆ m_headerFirst

int libabw::ABWOpenPageSpanElement::m_headerFirst
| private

## ◆ m_headerLast

int libabw::ABWOpenPageSpanElement::m_headerLast
| private

## ◆ m_headerLeft

int libabw::ABWOpenPageSpanElement::m_headerLeft
| private

## ◆ m_propList

librevenge::RVNGPropertyList libabw::ABWOpenPageSpanElement::m_propList
| private

The documentation for this class was generated from the following file:

- ABWOutputElements.cpp